import request from '@/utils/request'

// 查询业务模型明细列表
export function listBd(query) {
    return request({
        url: '/hl/bd/list',
        method: 'get',
        params: query
    })
}

// 查询业务模型明细详细
export function getBd(bizDetailId) {
    return request({
        url: '/hl/bd/' + bizDetailId,
        method: 'get'
    })
}

// 新增业务模型明细
export function addBd(data) {
    return request({
        url: '/hl/bd',
        method: 'post',
        data: data
    })
}

// 修改业务模型明细
export function updateBd(data) {
    return request({
        url: '/hl/bd',
        method: 'put',
        data: data
    })
}

// 删除业务模型明细
export function delBd(bizDetailId) {
    return request({
        url: '/hl/bd/' + bizDetailId,
        method: 'delete'
    })
}
